pragma Ada_95;
pragma Warnings (Off);
pragma Source_File_Name (ada_main, Spec_File_Name => "b~mine_detector.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~mine_detector.adb");
pragma Suppress (Overflow_Check);
with Ada.Exceptions;

package body ada_main is

   E017 : Short_Integer; pragma Import (Ada, E017, "system__soft_links_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exception_table_E");
   E029 : Short_Integer; pragma Import (Ada, E029, "system__exceptions_E");
   E021 : Short_Integer; pragma Import (Ada, E021, "system__secondary_stack_E");
   E078 : Short_Integer; pragma Import (Ada, E078, "ada__io_exceptions_E");
   E218 : Short_Integer; pragma Import (Ada, E218, "ada__numerics_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "ada__strings_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "interfaces__c_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "interfaces__c__strings_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "ada__tags_E");
   E077 : Short_Integer; pragma Import (Ada, E077, "ada__streams_E");
   E080 : Short_Integer; pragma Import (Ada, E080, "system__finalization_root_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "ada__finalization_E");
   E082 : Short_Integer; pragma Import (Ada, E082, "system__storage_pools_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "system__finalization_masters_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "system__storage_pools__subpools_E");
   E226 : Short_Integer; pragma Import (Ada, E226, "ada__calendar_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "system__assertions_E");
   E205 : Short_Integer; pragma Import (Ada, E205, "ada__strings__maps_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "ada__strings__unbounded_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "system__pool_global_E");
   E224 : Short_Integer; pragma Import (Ada, E224, "system__random_seed_E");
   E007 : Short_Integer; pragma Import (Ada, E007, "glib_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "gtkada__types_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "cairo_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "cairo__region_E");
   E123 : Short_Integer; pragma Import (Ada, E123, "gdk__rectangle_E");
   E240 : Short_Integer; pragma Import (Ada, E240, "glib__g_icon_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "glib__glist_E");
   E135 : Short_Integer; pragma Import (Ada, E135, "gdk__visual_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "glib__gslist_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "gtkada__c_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "gtkada__bindings_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "glib__object_E");
   E095 : Short_Integer; pragma Import (Ada, E095, "glib__type_conversion_hooks_E");
   E186 : Short_Integer; pragma Import (Ada, E186, "glib__types_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "glib__values_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "glib__generic_properties_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "gdk__color_E");
   E172 : Short_Integer; pragma Import (Ada, E172, "gdk__cursor_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "gdk__types_E");
   E150 : Short_Integer; pragma Import (Ada, E150, "gdk__region_E");
   E158 : Short_Integer; pragma Import (Ada, E158, "glib__properties_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "gtk__accel_group_E");
   E137 : Short_Integer; pragma Import (Ada, E137, "gtk__enums_E");
   E156 : Short_Integer; pragma Import (Ada, E156, "gtk__object_E");
   E194 : Short_Integer; pragma Import (Ada, E194, "gtk__adjustment_E");
   E234 : Short_Integer; pragma Import (Ada, E234, "gtk__orientable_E");
   E258 : Short_Integer; pragma Import (Ada, E258, "gtk__tree_model_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "gtkada__pixmaps_E");
   E144 : Short_Integer; pragma Import (Ada, E144, "pango__enums_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "pango__attributes_E");
   E142 : Short_Integer; pragma Import (Ada, E142, "pango__font_E");
   E146 : Short_Integer; pragma Import (Ada, E146, "gdk__font_E");
   E148 : Short_Integer; pragma Import (Ada, E148, "gdk__gc_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "pango__context_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "pango__tabs_E");
   E160 : Short_Integer; pragma Import (Ada, E160, "pango__layout_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "gdk__drawable_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "gdk__rgb_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "gdk__event_E");
   E129 : Short_Integer; pragma Import (Ada, E129, "gdk__window_E");
   E154 : Short_Integer; pragma Import (Ada, E154, "gdk__bitmap_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "gdk__pixmap_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "gtk__style_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "gdk__display_E");
   E170 : Short_Integer; pragma Import (Ada, E170, "gdk__pixbuf_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "gtk__widget_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "gtk__builder_E");
   E188 : Short_Integer; pragma Import (Ada, E188, "gtk__buildable_E");
   E192 : Short_Integer; pragma Import (Ada, E192, "gtk__container_E");
   E184 : Short_Integer; pragma Import (Ada, E184, "gtk__bin_E");
   E168 : Short_Integer; pragma Import (Ada, E168, "gtk__window_E");
   E272 : Short_Integer; pragma Import (Ada, E272, "gdk__screen_E");
   E238 : Short_Integer; pragma Import (Ada, E238, "gtk__action_E");
   E242 : Short_Integer; pragma Import (Ada, E242, "gtk__activatable_E");
   E230 : Short_Integer; pragma Import (Ada, E230, "gtk__arguments_E");
   E232 : Short_Integer; pragma Import (Ada, E232, "gtk__box_E");
   E236 : Short_Integer; pragma Import (Ada, E236, "gtk__button_E");
   E248 : Short_Integer; pragma Import (Ada, E248, "gtk__dialog_E");
   E284 : Short_Integer; pragma Import (Ada, E284, "gtk__grange_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "gtk__item_E");
   E254 : Short_Integer; pragma Import (Ada, E254, "gtk__marshallers_E");
   E268 : Short_Integer; pragma Import (Ada, E268, "gtk__menu_item_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "gtk__check_menu_item_E");
   E266 : Short_Integer; pragma Import (Ada, E266, "gtk__menu_shell_E");
   E264 : Short_Integer; pragma Import (Ada, E264, "gtk__menu_E");
   E262 : Short_Integer; pragma Import (Ada, E262, "gtk__misc_E");
   E260 : Short_Integer; pragma Import (Ada, E260, "gtk__label_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "gtk__notebook_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "gtk__old_editable_E");
   E274 : Short_Integer; pragma Import (Ada, E274, "gtk__option_menu_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "gtk__pixmap_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "gtk__radio_menu_item_E");
   E282 : Short_Integer; pragma Import (Ada, E282, "gtk__scrollbar_E");
   E280 : Short_Integer; pragma Import (Ada, E280, "gtk__scrolled_window_E");
   E286 : Short_Integer; pragma Import (Ada, E286, "gtk__table_E");
   E288 : Short_Integer; pragma Import (Ada, E288, "gtk__text_E");
   E246 : Short_Integer; pragma Import (Ada, E246, "gtk__toggle_button_E");
   E244 : Short_Integer; pragma Import (Ada, E244, "gtk__check_button_E");
   E217 : Short_Integer; pragma Import (Ada, E217, "field__operations_E");
   E196 : Short_Integer; pragma Import (Ada, E196, "user_if_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "user_if__finalize_body");
      begin
         E196 := E196 - 1;
         F1;
      end;
      E244 := E244 - 1;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gtk__check_button__finalize_spec");
      begin
         F2;
      end;
      E246 := E246 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gtk__toggle_button__finalize_spec");
      begin
         F3;
      end;
      E288 := E288 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gtk__text__finalize_spec");
      begin
         F4;
      end;
      E286 := E286 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gtk__table__finalize_spec");
      begin
         F5;
      end;
      E280 := E280 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gtk__scrolled_window__finalize_spec");
      begin
         F6;
      end;
      E282 := E282 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gtk__scrollbar__finalize_spec");
      begin
         F7;
      end;
      E276 := E276 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gtk__radio_menu_item__finalize_spec");
      begin
         F8;
      end;
      E296 := E296 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gtk__pixmap__finalize_spec");
      begin
         F9;
      end;
      E274 := E274 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gtk__option_menu__finalize_spec");
      begin
         F10;
      end;
      E290 := E290 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gtk__old_editable__finalize_spec");
      begin
         F11;
      end;
      E256 := E256 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gtk__notebook__finalize_spec");
      begin
         F12;
      end;
      E260 := E260 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gtk__label__finalize_spec");
      begin
         F13;
      end;
      E262 := E262 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gtk__misc__finalize_spec");
      begin
         F14;
      end;
      E264 := E264 - 1;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gtk__menu__finalize_spec");
      begin
         F15;
      end;
      E266 := E266 - 1;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gtk__menu_shell__finalize_spec");
      begin
         F16;
      end;
      E278 := E278 - 1;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gtk__check_menu_item__finalize_spec");
      begin
         F17;
      end;
      E268 := E268 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gtk__menu_item__finalize_spec");
      begin
         F18;
      end;
      E270 := E270 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gtk__item__finalize_spec");
      begin
         F19;
      end;
      E284 := E284 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gtk__grange__finalize_spec");
      begin
         F20;
      end;
      E248 := E248 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "gtk__dialog__finalize_spec");
      begin
         F21;
      end;
      E236 := E236 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "gtk__button__finalize_spec");
      begin
         F22;
      end;
      E232 := E232 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "gtk__box__finalize_spec");
      begin
         F23;
      end;
      E238 := E238 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "gtk__action__finalize_spec");
      begin
         F24;
      end;
      E272 := E272 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gdk__screen__finalize_spec");
      begin
         F25;
      end;
      E131 := E131 - 1;
      E168 := E168 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "gtk__window__finalize_spec");
      begin
         F26;
      end;
      E184 := E184 - 1;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gtk__bin__finalize_spec");
      begin
         F27;
      end;
      E192 := E192 - 1;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gtk__container__finalize_spec");
      begin
         F28;
      end;
      E190 := E190 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "gtk__builder__finalize_spec");
      begin
         F29;
      end;
      declare
         procedure F30;
         pragma Import (Ada, F30, "gtk__widget__finalize_spec");
      begin
         F30;
      end;
      E170 := E170 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "gdk__pixbuf__finalize_spec");
      begin
         F31;
      end;
      E174 := E174 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "gdk__display__finalize_spec");
      begin
         F32;
      end;
      E139 := E139 - 1;
      declare
         procedure F33;
         pragma Import (Ada, F33, "gtk__style__finalize_spec");
      begin
         F33;
      end;
      E160 := E160 - 1;
      declare
         procedure F34;
         pragma Import (Ada, F34, "pango__layout__finalize_spec");
      begin
         F34;
      end;
      E164 := E164 - 1;
      declare
         procedure F35;
         pragma Import (Ada, F35, "pango__context__finalize_spec");
      begin
         F35;
      end;
      E142 := E142 - 1;
      declare
         procedure F36;
         pragma Import (Ada, F36, "pango__font__finalize_spec");
      begin
         F36;
      end;
      E258 := E258 - 1;
      declare
         procedure F37;
         pragma Import (Ada, F37, "gtk__tree_model__finalize_spec");
      begin
         F37;
      end;
      E194 := E194 - 1;
      declare
         procedure F38;
         pragma Import (Ada, F38, "gtk__adjustment__finalize_spec");
      begin
         F38;
      end;
      E156 := E156 - 1;
      declare
         procedure F39;
         pragma Import (Ada, F39, "gtk__object__finalize_spec");
      begin
         F39;
      end;
      E182 := E182 - 1;
      declare
         procedure F40;
         pragma Import (Ada, F40, "gtk__accel_group__finalize_spec");
      begin
         F40;
      end;
      E093 := E093 - 1;
      declare
         procedure F41;
         pragma Import (Ada, F41, "glib__object__finalize_spec");
      begin
         F41;
      end;
      E007 := E007 - 1;
      declare
         procedure F42;
         pragma Import (Ada, F42, "glib__finalize_spec");
      begin
         F42;
      end;
      E084 := E084 - 1;
      declare
         procedure F43;
         pragma Import (Ada, F43, "system__pool_global__finalize_spec");
      begin
         F43;
      end;
      E201 := E201 - 1;
      declare
         procedure F44;
         pragma Import (Ada, F44, "ada__strings__unbounded__finalize_spec");
      begin
         F44;
      end;
      E089 := E089 - 1;
      declare
         procedure F45;
         pragma Import (Ada, F45, "system__storage_pools__subpools__finalize_spec");
      begin
         F45;
      end;
      E070 := E070 - 1;
      declare
         procedure F46;
         pragma Import (Ada, F46, "system__finalization_masters__finalize_spec");
      begin
         F46;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E027 := E027 + 1;
      System.Exceptions'Elab_Spec;
      E029 := E029 + 1;
      System.Soft_Links'Elab_Body;
      E017 := E017 + 1;
      System.Secondary_Stack'Elab_Body;
      E021 := E021 + 1;
      Ada.Io_Exceptions'Elab_Spec;
      E078 := E078 + 1;
      Ada.Numerics'Elab_Spec;
      E218 := E218 + 1;
      Ada.Strings'Elab_Spec;
      E199 := E199 + 1;
      Interfaces.C'Elab_Spec;
      E066 := E066 + 1;
      Interfaces.C.Strings'Elab_Spec;
      E068 := E068 + 1;
      Ada.Tags'Elab_Spec;
      Ada.Tags'Elab_Body;
      E009 := E009 + 1;
      Ada.Streams'Elab_Spec;
      E077 := E077 + 1;
      System.Finalization_Root'Elab_Spec;
      E080 := E080 + 1;
      Ada.Finalization'Elab_Spec;
      E075 := E075 + 1;
      System.Storage_Pools'Elab_Spec;
      E082 := E082 + 1;
      System.Finalization_Masters'Elab_Spec;
      System.Finalization_Masters'Elab_Body;
      E070 := E070 + 1;
      System.Storage_Pools.Subpools'Elab_Spec;
      E089 := E089 + 1;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E226 := E226 + 1;
      System.Assertions'Elab_Spec;
      E252 := E252 + 1;
      Ada.Strings.Maps'Elab_Spec;
      E205 := E205 + 1;
      Ada.Strings.Unbounded'Elab_Spec;
      E201 := E201 + 1;
      System.Pool_Global'Elab_Spec;
      E084 := E084 + 1;
      System.Random_Seed'Elab_Body;
      E224 := E224 + 1;
      Glib'Elab_Spec;
      E007 := E007 + 1;
      Gtkada.Types'Elab_Spec;
      E106 := E106 + 1;
      E125 := E125 + 1;
      E127 := E127 + 1;
      E123 := E123 + 1;
      E240 := E240 + 1;
      E108 := E108 + 1;
      Gdk.Visual'Elab_Body;
      E135 := E135 + 1;
      E110 := E110 + 1;
      E104 := E104 + 1;
      E098 := E098 + 1;
      Glib.Object'Elab_Spec;
      E095 := E095 + 1;
      E093 := E093 + 1;
      E186 := E186 + 1;
      Glib.Values'Elab_Body;
      E119 := E119 + 1;
      Glib.Generic_Properties'Elab_Spec;
      Glib.Generic_Properties'Elab_Body;
      E117 := E117 + 1;
      Gdk.Color'Elab_Spec;
      E133 := E133 + 1;
      E172 := E172 + 1;
      Gdk.Types'Elab_Spec;
      E115 := E115 + 1;
      E150 := E150 + 1;
      E158 := E158 + 1;
      Gtk.Accel_Group'Elab_Spec;
      Gtk.Accel_Group'Elab_Body;
      E182 := E182 + 1;
      E137 := E137 + 1;
      Gtk.Object'Elab_Spec;
      E156 := E156 + 1;
      Gtk.Adjustment'Elab_Spec;
      Gtk.Adjustment'Elab_Body;
      E194 := E194 + 1;
      Gtk.Orientable'Elab_Spec;
      E234 := E234 + 1;
      Gtk.Tree_Model'Elab_Spec;
      Gtk.Tree_Model'Elab_Body;
      E258 := E258 + 1;
      Gtkada.Pixmaps'Elab_Spec;
      E299 := E299 + 1;
      E144 := E144 + 1;
      E162 := E162 + 1;
      Pango.Font'Elab_Spec;
      E142 := E142 + 1;
      E146 := E146 + 1;
      E148 := E148 + 1;
      Pango.Context'Elab_Spec;
      E164 := E164 + 1;
      E166 := E166 + 1;
      Pango.Layout'Elab_Spec;
      E160 := E160 + 1;
      E176 := E176 + 1;
      E178 := E178 + 1;
      Gdk.Event'Elab_Spec;
      E154 := E154 + 1;
      E152 := E152 + 1;
      Gtk.Style'Elab_Spec;
      Gtk.Style'Elab_Body;
      E139 := E139 + 1;
      E121 := E121 + 1;
      Gdk.Display'Elab_Spec;
      E174 := E174 + 1;
      Gdk.Pixbuf'Elab_Spec;
      E170 := E170 + 1;
      Gtk.Widget'Elab_Spec;
      Gtk.Builder'Elab_Spec;
      E190 := E190 + 1;
      E188 := E188 + 1;
      E129 := E129 + 1;
      Gtk.Container'Elab_Spec;
      Gtk.Container'Elab_Body;
      E192 := E192 + 1;
      Gtk.Bin'Elab_Spec;
      Gtk.Bin'Elab_Body;
      E184 := E184 + 1;
      Gtk.Window'Elab_Spec;
      Gtk.Window'Elab_Body;
      E168 := E168 + 1;
      Gtk.Widget'Elab_Body;
      E131 := E131 + 1;
      Gdk.Screen'Elab_Spec;
      E272 := E272 + 1;
      Gtk.Action'Elab_Spec;
      Gtk.Action'Elab_Body;
      E238 := E238 + 1;
      Gtk.Activatable'Elab_Spec;
      E242 := E242 + 1;
      E230 := E230 + 1;
      Gtk.Box'Elab_Spec;
      Gtk.Box'Elab_Body;
      E232 := E232 + 1;
      Gtk.Button'Elab_Spec;
      Gtk.Button'Elab_Body;
      E236 := E236 + 1;
      Gtk.Dialog'Elab_Spec;
      Gtk.Dialog'Elab_Body;
      E248 := E248 + 1;
      Gtk.Grange'Elab_Spec;
      Gtk.Grange'Elab_Body;
      E284 := E284 + 1;
      Gtk.Item'Elab_Spec;
      Gtk.Item'Elab_Body;
      E270 := E270 + 1;
      E254 := E254 + 1;
      Gtk.Menu_Item'Elab_Spec;
      Gtk.Menu_Item'Elab_Body;
      E268 := E268 + 1;
      Gtk.Check_Menu_Item'Elab_Spec;
      Gtk.Check_Menu_Item'Elab_Body;
      E278 := E278 + 1;
      Gtk.Menu_Shell'Elab_Spec;
      Gtk.Menu_Shell'Elab_Body;
      E266 := E266 + 1;
      Gtk.Menu'Elab_Spec;
      Gtk.Menu'Elab_Body;
      E264 := E264 + 1;
      Gtk.Misc'Elab_Spec;
      Gtk.Misc'Elab_Body;
      E262 := E262 + 1;
      Gtk.Label'Elab_Spec;
      Gtk.Label'Elab_Body;
      E260 := E260 + 1;
      Gtk.Notebook'Elab_Spec;
      Gtk.Notebook'Elab_Body;
      E256 := E256 + 1;
      Gtk.Old_Editable'Elab_Spec;
      Gtk.Old_Editable'Elab_Body;
      E290 := E290 + 1;
      Gtk.Option_Menu'Elab_Spec;
      Gtk.Option_Menu'Elab_Body;
      E274 := E274 + 1;
      Gtk.Pixmap'Elab_Spec;
      Gtk.Pixmap'Elab_Body;
      E296 := E296 + 1;
      Gtk.Radio_Menu_Item'Elab_Spec;
      Gtk.Radio_Menu_Item'Elab_Body;
      E276 := E276 + 1;
      Gtk.Scrollbar'Elab_Spec;
      Gtk.Scrollbar'Elab_Body;
      E282 := E282 + 1;
      Gtk.Scrolled_Window'Elab_Spec;
      Gtk.Scrolled_Window'Elab_Body;
      E280 := E280 + 1;
      Gtk.Table'Elab_Spec;
      Gtk.Table'Elab_Body;
      E286 := E286 + 1;
      Gtk.Text'Elab_Spec;
      Gtk.Text'Elab_Body;
      E288 := E288 + 1;
      Gtk.Toggle_Button'Elab_Spec;
      Gtk.Toggle_Button'Elab_Body;
      E246 := E246 + 1;
      Gtk.Check_Button'Elab_Spec;
      Gtk.Check_Button'Elab_Body;
      E244 := E244 + 1;
      Field.Operations'Elab_Body;
      E217 := E217 + 1;
      User_If'Elab_Body;
      E196 := E196 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_mine_detector");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/mine_detector-6.0/field.o
   --   /builddir/build/BUILD/mine_detector-6.0/field-operations.o
   --   /builddir/build/BUILD/mine_detector-6.0/user_if.o
   --   /builddir/build/BUILD/mine_detector-6.0/mine_detector.o
   --   -L/builddir/build/BUILD/mine_detector-6.0/
   --   -L/builddir/build/BUILD/mine_detector-6.0/
   --   -L/usr/lib/pragmarc/
   --   -L/usr/lib/gtkada/
   --   -L/usr/lib/gcc/i686-redhat-linux/7/adalib/
   --   -shared
   --   -lgnat-7
--  END Object file/option list   

end ada_main;
